petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSForwardGetSensitivities

Returns the trajectory sensitivities

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSForwardGetSensitivities(TS ts,PetscInt *nump,Mat *Smat)

Not Collective, but Vec returned is parallel if TS is parallel

### Output Parameter

| ts | - the TS context obtained from TSCreate()
| nump | - number of parameters
| Smat | - sensitivities with respect to the parameters, the number of entries in these vectors is the same as the number of parameters

### Keywords

TS, forward sensitivity

### See Also

TSForwardSetSensitivities(), TSForwardSetIntegralGradients(), TSForwardGetIntegralGradients(), TSForwardStep()

### Level

intermediate

### Location

src/ts/interface/sensitivity/tssen.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages